## ros-galactic-ament-cmake 1.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)

ament_export_dependencies(
  "ament_cmake_core"
  "ament_cmake_export_definitions"
  "ament_cmake_export_dependencies"
  "ament_cmake_export_include_directories"
  "ament_cmake_export_interfaces"
  "ament_cmake_export_libraries"
  "ament_cmake_export_link_flags"
  "ament_cmake_export_targets"
  "ament_cmake_libraries"
  "ament_cmake_python"
  "ament_cmake_target_dependencies"
  "ament_cmake_test"
  "ament_cmake_version"
)

ament_package()

=== debian/changelog ===
ros-galactic-ament-cmake (1.1.6-1focal) focal; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ament-cmake (1.1.5-1focal) focal; urgency=high

  * Update maintainers (backport #362 <https://github.com/ament/ament_cmake/issues/362>) (#370 <https://github.com/ament/ament_cmake/issues/370>).
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-galactic-ament-cmake (1.1.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 May 2021 07:00:00 -0000

ros-galactic-ament-cmake (1.1.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-galactic-ament-cmake (1.1.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 Feb 2021 06:59:00 -0000

ros-galactic-ament-cmake (1.1.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 Feb 2021 03:12:00 -0000

ros-galactic-ament-cmake (1.1.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Feb 2021 08:00:00 -0000

ros-galactic-ament-cmake (1.0.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ament-cmake (1.0.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-ament-cmake (1.0.2-1focal) focal; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 07 Dec 2020 08:00:00 -0000

ros-galactic-ament-cmake (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Sep 2020 07:00:00 -0000

ros-galactic-ament-cmake (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-galactic-ament-cmake (0.9.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-galactic-ament-cmake (0.9.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-galactic-ament-cmake (0.9.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ament-cmake (0.9.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-galactic-ament-cmake (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-ament-cmake (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 22:45:00 -0000

ros-galactic-ament-cmake (0.9.0-1focal) focal; urgency=high

  * deprecate ament_export_interfaces() in favor of ament_export_targets() (#238 <https://github.com/ament/ament_cmake/issues/238>)
    * duplicate ament_cmake_export_interfaces to ament_cmake_export_targets
    * update names in ament_cmake_export_targets after duplicating the files, add deprecation message for ament_export_interfaces(), add ament_cmake_export_targets to ament_cmake
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 19:25:00 -0000

ros-galactic-ament-cmake (0.8.1-1focal) focal; urgency=high

  * add CMake macro ament_bump_development_version_if_necessary (#204 <https://github.com/ament/ament_cmake/issues/204>)
    * add CMake macro ament_bump_development_version_if_necessary
    * Update ament_cmake_version/cmake/ament_bump_development_version_if_necessary.cmake
    Co-Authored-By: William Woodall <mailto:william@osrfoundation.org>
    * Update ament_cmake_version/cmake/ament_bump_development_version_if_necessary.cmake
    Co-Authored-By: William Woodall <mailto:william@osrfoundation.org>
    * quote versions in message
    * spelling: no-op
    * update macro name, add doc line about multiple invocations
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-ament-cmake (0.8.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-galactic-ament-cmake (0.7.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-ament-cmake (0.7.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-ament-cmake (0.7.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 May 2019 07:00:00 -0000

ros-galactic-ament-cmake (0.7.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-galactic-ament-cmake (0.6.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Nov 2018 08:00:00 -0000

ros-galactic-ament-cmake (0.5.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-galactic-ament-cmake (0.5.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Jun 2018 07:00:00 -0000

ros-galactic-ament-cmake (0.4.0-1focal) focal; urgency=high

  * 0.0.3
  * 0.0.2
  * Merge pull request #71 <https://github.com/ament/ament_cmake/issues/71> from ament/export_link_flags
    add ament_cmake_export_link_flags package and use link flags in ament_target_dependencies
  * add ament_cmake_export_link_flags package and use link flags in ament_target_dependencies
  * update schema url
  * add schema to manifest files
  * Merge pull request #72 <https://github.com/ament/ament_cmake/issues/72> from ament/cmake35
    require CMake 3.5
  * require CMake 3.5


=== debian/control ===
Source: ros-galactic-ament-cmake
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-galactic-ament-cmake-core, ros-galactic-ament-cmake-export-dependencies, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ament-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cmake, ros-galactic-ament-cmake-core, ros-galactic-ament-cmake-export-definitions, ros-galactic-ament-cmake-export-dependencies, ros-galactic-ament-cmake-export-include-directories, ros-galactic-ament-cmake-export-interfaces, ros-galactic-ament-cmake-export-libraries, ros-galactic-ament-cmake-export-link-flags, ros-galactic-ament-cmake-export-targets, ros-galactic-ament-cmake-libraries, ros-galactic-ament-cmake-python, ros-galactic-ament-cmake-target-dependencies, ros-galactic-ament-cmake-test, ros-galactic-ament-cmake-version, ros-galactic-ros-workspace
Description: The entry point package for the ament buildsystem in CMake.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ament-cmake//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
